"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../hooks/use-namespace/index.js");
const vue = require("vue");
var footer_vue_vue_type_script_setup_true_lang_default = /* @__PURE__ */ vue.defineComponent({
  name: "ElFooter",
  __name: "footer",
  props: { height: {
    type: [String, null],
    required: false,
    default: null
  } },
  setup(__props) {
    const props = __props;
    const ns = index.useNamespace("footer");
    const style = vue.computed(() => props.height ? ns.cssVarBlock({ height: props.height }) : {});
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("footer", {
        class: vue.normalizeClass(vue.unref(ns).b()),
        style: vue.normalizeStyle(style.value)
      }, [vue.renderSlot(_ctx.$slots, "default")], 6);
    };
  }
});
exports.default = footer_vue_vue_type_script_setup_true_lang_default;
